Wait / Delay
Pause the workflow for a set amount of time before continuing to the next step.
Built-in action Built In
Pause the workflow for a set amount of time before continuing to the next step.
At a Glance
| Field | Value |
|---|---|
| Action ID | delay |
| Category | Built In |
| Connector | Not required |
| Requires gas | No |
| Funds movement | None declared |
| Tags | utility, delay, time |
Payload Schema
| Field | Type | Required | Description |
|---|---|---|---|
delayMs | number | Yes | Delay duration in milliseconds |
Result Schema
| Field | Type | Required | Description |
|---|---|---|---|
status | string | Yes | - |
Examples
json{ "type": "delay", "payload": { "delayMs": 1000 }, "children": []}
bashcurl -X POST "https://api.b3os.org/v1/actions/delay/test" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "inputs": { "delayMs": 1000 }}'
Payload fields can use workflow expressions such as {{$trigger.body.amount}}, {{$nodes.fetch.result.price}}, and {{$props.asset}} when the value should come from a trigger, prior node, or reusable workflow prop.
